net.sf.jasperreports.components.sort

## Enum FilterTypeTextOperatorsEnum

- java.lang.Object
- - java.lang.Enum<FilterTypeTextOperatorsEnum>
  - - net.sf.jasperreports.components.sort.FilterTypeTextOperatorsEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FilterTypeTextOperatorsEnum>, JREnum, NamedEnum

      public enum FilterTypeTextOperatorsEnum
      extends java.lang.Enum<FilterTypeTextOperatorsEnum>
      implements JREnum

  Version:
    $Id: FilterTypeTextOperatorsEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINS`
    `DOES_NOT_CONTAIN`
    `DOES_NOT_END_WITH`
    `DOES_NOT_START_WITH`
    `ENDS_WITH`
    `EQUALS`
    `IS_NOT_EQUAL_TO`
    `STARTS_WITH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FilterTypeTextOperatorsEnum` | `getByEnumConstantName(java.lang.String name)`
    `static FilterTypeTextOperatorsEnum` | `getByName(java.lang.String name)`
    `static FilterTypeTextOperatorsEnum` | `getByValue(byte value)`
    `static FilterTypeTextOperatorsEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static FilterTypeTextOperatorsEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FilterTypeTextOperatorsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final FilterTypeTextOperatorsEnum EQUALS

    - #### IS_NOT_EQUAL_TO

          public static final FilterTypeTextOperatorsEnum IS_NOT_EQUAL_TO

    - #### CONTAINS

          public static final FilterTypeTextOperatorsEnum CONTAINS

    - #### DOES_NOT_CONTAIN

          public static final FilterTypeTextOperatorsEnum DOES_NOT_CONTAIN

    - #### STARTS_WITH

          public static final FilterTypeTextOperatorsEnum STARTS_WITH

    - #### DOES_NOT_START_WITH

          public static final FilterTypeTextOperatorsEnum DOES_NOT_START_WITH

    - #### ENDS_WITH

          public static final FilterTypeTextOperatorsEnum ENDS_WITH

    - #### DOES_NOT_END_WITH

          public static final FilterTypeTextOperatorsEnum DOES_NOT_END_WITH

  - ### Method Detail

    - #### values

          public static FilterTypeTextOperatorsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterTypeTextOperatorsEnum c : FilterTypeTextOperatorsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterTypeTextOperatorsEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static FilterTypeTextOperatorsEnum getByName(java.lang.String name)

    - #### getByEnumConstantName

          public static FilterTypeTextOperatorsEnum getByEnumConstantName(java.lang.String name)

    - #### getByValue

          public static FilterTypeTextOperatorsEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static FilterTypeTextOperatorsEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com